AurionAI Docs

Create Agent Shift

POST
/api/v2/agent-shifts

Authorization

AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://loading/api/v2/agent-shifts" \  -H "Content-Type: application/json" \  -d '{    "user_id": "string"  }'
{
  "created_at": "2019-08-24T14:15:22Z",
  "effective_from": "string",
  "effective_to": "string",
  "id": "string",
  "is_active": true,
  "name": "string",
  "schedule": [
    {}
  ],
  "timezone": "string",
  "updated_at": "2019-08-24T14:15:22Z",
  "user_email": "string",
  "user_id": "string",
  "user_name": "string"
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string"
    }
  ]
}